OpenNMS API 1.2.9

## org.opennms.netmgt.poller.mock
Class MockInterval

    java.lang.Object
      org.opennms.netmgt.poller.mock.MockInterval

All Implemented Interfaces:
  ScheduleInterval

public class MockInterval
extends java.lang.Object
implements ScheduleInterval

Nested Class Summary
`(package private) class` `MockInterval.Suspension`

Field Summary
`private long` `m_interval`
`private java.util.List` `m_suspensions`
`private Timer` `m_timer`

Constructor Summary
`MockInterval(Timer timer, long interval)`

Method Summary
`void` `addSuspension(long start, long end)`
`long` `getInterval()`
`boolean` `scheduledSuspension()`
`void` `setInterval(long interval)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_timer

    private Timer m_timer

### m_interval

    private long m_interval

### m_suspensions

    private java.util.List m_suspensions

Constructor Detail

### MockInterval

    public MockInterval(Timer timer,
                        long interval)

Method Detail

### getInterval

    public long getInterval()

  Specified by:
    `getInterval` in interface `ScheduleInterval`

### setInterval

    public void setInterval(long interval)

### addSuspension

    public void addSuspension(long start,
                              long end)

### scheduledSuspension

    public boolean scheduledSuspension()

  Specified by:
    `scheduledSuspension` in interface `ScheduleInterval`
  Returns:

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.